package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 活动表
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_activity")
public class Activity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动ID
     */
    private String activityId;

    /**
     * 楼盘ID
     */
    private String buildingId;

    /**
     * 图片URL
     */
    private String imgUrl;

    /**
     * 标题
     */
    private String title;

    /**
     * 描述
     */
    @TableField("`desc`")
    private String desc;

    /**
     * 发布时间
     */
    private LocalDateTime publicDate;

    /**
     * 内容
     */
    private String context;

    /**
     * 0正常，-1删除
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 报名开始时间
     */
    private LocalDateTime beginDate;

    /**
     * 报名截止时间
     */
    private LocalDateTime endDate;

    /**
     * 活动时间
     */
    private LocalDateTime activityDate;

    /**
     * 活动的最多人数
     */
    private Integer maxNum;


    /**
     * 楼盘
     */
    @TableField(exist = false)
    private Building building;

    /**
     * 客户手机号
     */
    @TableField(exist = false)
    private String phone;

    /**
     * 微信昵称
     */
    @TableField(exist = false)
    private String name;

    /**
     * 客户姓名
     */
    @TableField(exist = false)
    private String customerName;

    /**
     * 楼盘名称
     */
    @TableField(exist = false)
    private String buildingName;

    /**
     * 活动已经报名的人数
     */
    @TableField(exist = false)
    private Integer signUpNumber;

}
